PROGRAM DYNAMIC;
{ This is the main program. It calls a function in a DLL (ExDLL.DPR)
  The DLL is linked dynamically.

  IMPORTANT:
  You can either measure a Program, a DLL or both at the same time.

  I.   If you measure a program only, only program-units need to be in the
       profiler directory.

  II.  If you measure a DLL only, only DLL-units need to be in the
       profiler directory.

  III. If you measure a program and a DLL, both program-units and DLL-units need
       to be in the profiler directory.

  The simplest way to process these three cases is the following:

  1. Case I, II and III:
    1.a  Copy all program and DLL files into the same directory.
    1.b  Profile all files in that directory.

  2. Case I - Program only:
    2.a  Compile the DLL WITHOUT a defined the compiler symbol PROFILE.
    2.b  Compile the program WITH a defined the compiler symbol PROFILE.

  3. Case II - DLL only:
    3.a  Compile the DLL WITH a defined the compiler symbol PROFILE.
    3.b  Compile the program WITHOUT a defined the compiler symbol PROFILE.

  4. Case III - Program and DLL:
    4.a  Compile the DLL WITH a defined the compiler symbol PROFILE.
    4.b  Compile the program WITH a defined the compiler symbol PROFILE.

  5. Let the program run.

  6. Depending on the case, you'll find the procedure runtimes of either
     DLL or program or both in the result file.

  CAUTION:
    EXE-file, DLL-file, PAS-, INC- and DPR-files have to be stored into the
    same directory.

    ALSO ProfMeas.DLL, ProfCali.DLL, ProfInt.PAS, ProfOnli.PAS and
    ProfOnli.DFM MUST be in that directory too !!!
    The DLL's can also be in windows\system(32) directory.

    Your compiled DCU-files can be stored anywhere you like.
}

USES
  Forms,
  DYNAMAIN;

{$R *.RES}

BEGIN
  Application.Initialize;
  Application.CreateForm(TForm1, Form1);
  Application.Run;
END.
